Theme installation failure

I just started taking the Intermediate Wordpress development class by Rachel McCollin. I downloaded wpmudev-intermediate-WordPress-development from GitHub. When I tried to install the theme, I got the error "Installing Theme from uploaded file: wpmudev-intermediate-WordPress-development-master.zip

Unpacking the package…

Could not copy file. wpmudev-intermediate-WordPress-development-master/5-part 5 queries and loops/wpmudev-intermediate-dev-plugin-latest-project/wpmudev-intermediate-dev-plugin-latest-project.php" Is there something that I might have done wrong? Could it be that the WP version (4.9.7) that I'm using doesn't like something?